import React from 'react';
import { Icon, IconProps } from '../Icon';


export const IconShield = (props: IconProps) => {
    return <Icon  id="IconShield" {...props}>
        <path fillRule="evenodd" clipRule="evenodd" d="M11.7242 0.540045C11.9072 0.486627 12.1017 0.486652 12.2847 0.540117L21.2804 3.16794C21.7069 3.29252 22 3.68353 22 4.12782V9.51684C22 15.6116 18.0996 21.0224 12.3174 22.949C12.1123 23.0173 11.8905 23.0173 11.6853 22.949C5.90157 21.0224 2 15.6105 2 9.51435V4.12782C2 3.68344 2.29326 3.29236 2.71985 3.16787L11.7242 0.540045ZM4 4.8777V9.51435C4 14.6376 7.20889 19.1982 12.0013 20.9414C16.7922 19.1982 20 14.6388 20 9.51684V4.8775L12.0042 2.54175L4 4.8777Z" />
    </Icon>;
};

export default IconShield;
